mb_ereg_search_getpos
mb_ereg_search_init
Multibyte String Functions
PHP Manual

# mb_ereg_search_getregs

(PHP 4 >= 4.2.0, PHP 5)

mb_ereg_search_getregs — Retrieve the result from the last multibyte regular expression match

### Description

array mb_ereg_search_getregs ( void )

Retrieve the result from the last multibyte regular expression match

### Parameters

This function has no parameters.

### Return Values

An array including the sub-string of matched part by last mb_ereg_search(), mb_ereg_search_pos(), mb_ereg_search_regs(). If there are some matches, the first element will have the matched sub-string, the second element will have the first part grouped with brackets, the third element will have the second part grouped with brackets, and so on. It returns `FALSE` on error;

### Notes

> Note: The internal encoding or the character encoding specified by mb_regex_encoding() will be used as the character encoding for this function.

### See Also

- mb_regex_encoding()
- mb_ereg_search_init()

mb_ereg_search_getpos
mb_ereg_search_init
Multibyte String Functions
PHP Manual